<template>
  <div class="app-container">
    <el-form
      :model="queryParams"
      ref="queryForm"
      size="small"
      :inline="true"
      v-show="showSearch"
    >
      <el-form-item label="查询" prop="zjhm">
        <el-input
          v-model="queryParams.zjhm"
          clearable
          @keyup.enter.native="handleQuery"
        />
      </el-form-item>
      <el-form-item>
        <el-button
          type="primary"
          icon="el-icon-search"
          size="mini"
          @click="handleQuery"
          >查询</el-button
        >
        <el-button
          type="primary"
          icon="el-icon-plus"
          size="mini"
          @click="addPlan"
          >添加</el-button
        >
        <el-button type="primary" icon="el-icon-delete" size="mini" @click="del"
          >删除</el-button
        >
        <el-button type="primary" icon="el-icon-download" size="mini"
          >导出</el-button
        >
      </el-form-item>
    </el-form>
    <el-table v-loading="loading" :data="senHistoryList" border>
      <!-- <el-table-column type="selection" width="55"> </el-table-column>
        <el-table-column
          label="投票主题"
          align="center"
          prop="theme"
          :show-overflow-tooltip="true"
        />
        <el-table-column
          label="发布人"
          align="center"
          prop="name"
          :show-overflow-tooltip="true"
        />
        <el-table-column
          label="发布时间"
          align="center"
          prop="time"
          :show-overflow-tooltip="true"
        /> -->
    </el-table>

    <!-- <div class="pag">
      <div class="pag1">
        <pagination
          v-show="total > 0"
          :total="total"
          :page.sync="queryParams.pageNum"
          :limit.sync="queryParams.pageSize"
          @pagination="getList"
        />
      </div>
    </div> -->
    <div class="block">
      <pagination
        @size-change="handleSizeChange"
        @current-change="handleCurrentChange"
        :current-page.sync="currentPage3"
        :page-size="1"
        layout="prev, pager, next, jumper"
        :total="15"
      >
      </pagination>
    </div>
  </div>
</template>
      
      <script>
import Tinymce from "@/components/Tinymce.vue";
export default {
  components: {
    Tinymce,
  },
  data() {
    return {
      senHistoryList: [],
      // 遮罩层
      loading: false,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 15,
        name: "",
        phone: "",
      },
      // 表单参数
      form: {},
      // 表单校验
      rules: {},
      dialog: false,
    };
  },

  methods: {
    addPlan() {
      this.dialog = true;
    },
    closeDialog() {
      this.dialog = false;
    },
    /** 查询宣教对应标签列表 */
    getList() {
      this.loading = false;
    },
    handleAdd() {},
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {};
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.resetForm("queryForm");
      this.handleQuery();
    },
    /** 删除按钮操作 */
    del() {
      console.log("删除");
    },
    /** 提交按钮操作 */
    submitForm() {
      console.log("表单提交");
      this.closeDialog(); // 提交后关闭弹框
    },
  },
};
</script>
      
      <style scoped lang="scss">
</style>